
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

This fixes a build failure (and also some warnings) when CONFIG_MODE_SKAS is
disabled.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/include/sysdep-i386/ptrace.h   |   16 ++++++++--------
 25-akpm/arch/um/include/sysdep-x86_64/ptrace.h |    6 +++---
 2 files changed, 11 insertions(+), 11 deletions(-)

diff -puN arch/um/include/sysdep-i386/ptrace.h~uml-fixes-a-build-failure-with-config_mode_skas-disabled arch/um/include/sysdep-i386/ptrace.h
--- 25/arch/um/include/sysdep-i386/ptrace.h~uml-fixes-a-build-failure-with-config_mode_skas-disabled	Wed Mar 30 15:55:49 2005
+++ 25-akpm/arch/um/include/sysdep-i386/ptrace.h	Wed Mar 30 15:55:49 2005
@@ -9,15 +9,11 @@
 #include "uml-config.h"
 #include "user_constants.h"
 
-#ifdef UML_CONFIG_MODE_TT
-#include "sysdep/sc.h"
-#endif
-
-#ifdef UML_CONFIG_MODE_SKAS
-
 #define MAX_REG_NR (UM_FRAME_SIZE / sizeof(unsigned long))
 #define MAX_REG_OFFSET (UM_FRAME_SIZE)
 
+extern void update_debugregs(int seq);
+
 /* syscall emulation path in ptrace */
 
 #ifndef PTRACE_SYSEMU
@@ -28,9 +24,13 @@ void set_using_sysemu(int value);
 int get_using_sysemu(void);
 extern int sysemu_supported;
 
-#include "skas_ptregs.h"
+#ifdef UML_CONFIG_MODE_TT
+#include "sysdep/sc.h"
+#endif
 
-extern void update_debugregs(int seq);
+#ifdef UML_CONFIG_MODE_SKAS
+
+#include "skas_ptregs.h"
 
 #define REGS_IP(r) ((r)[HOST_IP])
 #define REGS_SP(r) ((r)[HOST_SP])
diff -puN arch/um/include/sysdep-x86_64/ptrace.h~uml-fixes-a-build-failure-with-config_mode_skas-disabled arch/um/include/sysdep-x86_64/ptrace.h
--- 25/arch/um/include/sysdep-x86_64/ptrace.h~uml-fixes-a-build-failure-with-config_mode_skas-disabled	Wed Mar 30 15:55:49 2005
+++ 25-akpm/arch/um/include/sysdep-x86_64/ptrace.h	Wed Mar 30 15:55:49 2005
@@ -10,6 +10,9 @@
 #include "uml-config.h"
 #include "user_constants.h"
 
+#define MAX_REG_OFFSET (UM_FRAME_SIZE)
+#define MAX_REG_NR ((MAX_REG_OFFSET) / sizeof(unsigned long))
+
 #ifdef UML_CONFIG_MODE_TT
 #include "sysdep/sc.h"
 #endif
@@ -17,9 +20,6 @@
 #ifdef UML_CONFIG_MODE_SKAS
 #include "skas_ptregs.h"
 
-#define MAX_REG_OFFSET (UM_FRAME_SIZE)
-#define MAX_REG_NR ((MAX_REG_OFFSET) / sizeof(unsigned long))
-
 #define REGS_IP(r) ((r)[HOST_IP])
 #define REGS_SP(r) ((r)[HOST_SP])
 
_
